GroupIterator (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.GroupIterator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure
Class GroupIterator

    java.lang.Object
      org.biojava.bio.structure.GroupIterator

All Implemented Interfaces:
  Iterator

    public class GroupIterator

extends Object
implements Iterator

an iterator over all groups of a structure.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic

Constructor Summary
`GroupIterator(Structure struct)` Constructs a GroupIterator object.

Method Summary
`Object` | `clone()` Creates and returns a copy of this object.
`Chain` | `getCurrentChain()`
`boolean` | `hasNext()` is there a group after the current one in the structure?
`Object` | `next()` get next Group.
`void` | `remove()` does nothing .

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupIterator

    public GroupIterator(Structure struct)

  Constructs a GroupIterator object.

  Parameters:
    `struct` - a Structure object

Method Detail

### clone

    public Object clone()

  Creates and returns a copy of this object.

  Overrides:
    `clone` in class `Object`

### hasNext

    public boolean hasNext()

  is there a group after the current one in the structure?

  Specified by:
    `hasNext` in interface `Iterator`

### getCurrentChain

    public Chain getCurrentChain()

### next

    public Object next()
                throws NoSuchElementException

  get next Group.

  Specified by:
    `next` in interface `Iterator`
  Returns:
    next Group
  Throws:
    `NoSuchElementException` - ...

### remove

    public void remove()

  does nothing .

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD